# Type alias PathFinderGraph<TEdgeData>

PathFinderGraph<TEdgeData>: {
compactedCoordinates: Record<Key, Record<Key, Position[]>>;
compactedEdges: Record<Key, Record<Key, TEdgeData | undefined>>;
compactedVertices: Vertices;
edgeData: Record<Key, Record<Key, TEdgeData | undefined>>;
sourceCoordinates: Coordinates;
vertices: Vertices;
}

#### Type Parameters

- #### TEdgeData

#### Type declaration

- ##### compactedCoordinates: Record<Key, Record<Key, Position[]>>

- ##### compactedEdges: Record<Key, Record<Key, TEdgeData | undefined>>

- ##### compactedVertices: Vertices

- ##### edgeData: Record<Key, Record<Key, TEdgeData | undefined>>

- ##### sourceCoordinates: Coordinates

- ##### vertices: Vertices

- Defined in types.ts:39

Generated using TypeDoc